Heads Up! You're viewing the docs for v0.13, an old version of Karma. v1.0 is the newest.

Frequently Asked Questions

The list below is a collection of common questions regarding Karma and its use. If you have any other questions in mind, please visit the mailing list to let the community know.

Can I use Karma with testing framework X ?

Yes. There are plugins for most of the common testing frameworks (such as Jasmine, Mocha, QUnit). If there is no plugin for the testing framework you like, go ahead and write one. It is simple - you can start by looking into the source code of the existing ones.

Can I use Karma to do end to end testing ?

Karma has primarily been designed for low level (unit) testing. If it's an AngularJS app, you can use Karma with karma-ng-scenario plugin, however we recommend Protractor for high level testing.

Can I use Karma on Continuous Integration server ?

Of course! Check out the docs for Jenkins, Semaphore, TeamCity or Travis.

Which version of Karma should I use ?

The latest stable version from NPM (npm install karma). See versioning for more detailed information about Karma's release channels.

Which version of Node.js does Karma run with ?

Karma works on all LTS versions node in active maintenance state (see LTS docs for more info) as well as the latest stable version. That is 0.12.x, 4.x and 5.x at this point. Additionally, Node 0.10 is currently supported.